
<xsl:stylesheet exclude-result-prefixes="com" version="1.0" xmlns:com="http://www.clousoft.com/xbrlrender/commontable" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:template match="/">
		<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:html="http://www.w3.org/TR/REC-html40" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
		          xmlns:x="urn:schemas-microsoft-com:office:excel">
			<DocumentProperties xmlns="urn:schemas-microsoft-com:office:office">
				<Author/>
				<LastAuthor/>
				<Created/>
				<LastSaved/>
				<Company/>
				<Version/>
			</DocumentProperties>
			<ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
				<WindowHeight>5730</WindowHeight>
				<WindowWidth>10350</WindowWidth>
				<WindowTopX>480</WindowTopX>
				<WindowTopY>30</WindowTopY>
				<ProtectStructure>False</ProtectStructure>
				<ProtectWindows>False</ProtectWindows>
			</ExcelWorkbook>
			<Styles>
				<!-- 设置默认样式  -->
				<Style ss:ID="Default" ss:Name="Normal">
					<Alignment ss:Vertical="Center"/>
					<!--垂直居中-->
					<Borders/>
					<Font ss:FontName="宋体" ss:Size="12" x:CharSet="134"/>
					<!--设置字体，大小，编码-->
					<Interior/>
					<NumberFormat/>
					<Protection/>
				</Style>
				<!--设置表格样式	-->
				<Style ss:ID="sTable">
					<Borders>
						<!--设置边框样式-->
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
				</Style>
				<!--设置列样式-->
				<Style ss:ID="sColumn">
					<Borders>
						<!--设置边框样式-->
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
				</Style>
				<!--设置列标题行的第一个单元格样式-->
				<Style ss:ID="sExpColumnTitleCell">
					<Alignment ss:Vertical="Center" ss:WrapText="1"/>
					<Borders>
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
					<Font ss:FontName="宋体" ss:Size="8.5" x:CharSet="134" ss:Color="#555555"/>
					<Interior ss:Color="#CCCCCC" ss:Pattern="Solid"/>
				</Style>
				<!--设置列标题单元格样式-->
				<Style ss:ID="sColumnTitleCell">
					<Alignment ss:Horizontal="Center" ss:Vertical="Center" ss:WrapText="1"/>
					<Borders>
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
					<Font ss:FontName="宋体" ss:Size="8.5" x:CharSet="134" ss:Color="#555555"/>
					<Interior ss:Color="#CCCCCC" ss:Pattern="Solid"/>
				</Style>
				<!--设置数据行第一个单元格样式-->
				<Style ss:ID="sExpDataCell">
					<Alignment ss:Horizontal="Left" ss:Vertical="Center" ss:WrapText="1"/>
					<Borders>
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
					<Font ss:FontName="宋体" ss:Size="8.5" x:CharSet="134" ss:Color="#555555"/>
					<Interior ss:Color="#FFFFFF" ss:Pattern="Solid"/>
				</Style>
				<!--设置字符型数据单元格样式-->
				<Style ss:ID="sStringDataCell">
					<Alignment ss:Horizontal="Right" ss:Vertical="Center" ss:WrapText="1"/>
					<Borders>
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
					<Font ss:FontName="宋体" ss:Size="8.5" x:CharSet="134" ss:Color="#555555"/>
					<Interior ss:Color="#FFFFFF" ss:Pattern="Solid"/>
				</Style>
				<!--设置数值型数据单元格样式-->
				<Style ss:ID="sNumberDataCell">
					<Alignment ss:Horizontal="Right" ss:Vertical="Center" ss:WrapText="1"/>
					<Borders>
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
					<Font ss:FontName="宋体" ss:Size="8.5" x:CharSet="134" ss:Color="#555555"/>
					<Interior ss:Color="#FFFFFF" ss:Pattern="Solid"/>
					<NumberFormat ss:Format="#,##0.00##########"/>
				</Style>
				<!--设置表的标题单元格样式-->
				<Style ss:ID="sTitleCell">
					<Alignment ss:Horizontal="Center" ss:Vertical="Center" ss:WrapText="1"/>
					<Borders>
						<Border ss:LineStyle="Continuous" ss:Position="Bottom" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Left" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Right" ss:Weight="1"/>
						<Border ss:LineStyle="Continuous" ss:Position="Top" ss:Weight="1"/>
					</Borders>
					<Font ss:FontName="宋体" ss:Size="10" x:CharSet="134" ss:Color="#FFFFFF"/>
					<Interior ss:Color="#666699" ss:Pattern="Solid"/>
				</Style>
			</Styles>
			<xsl:variable name="contextcount" select="count(/com:root/com:context)"/>
			<xsl:for-each select="/com:root/com:role">
				<xsl:variable name="roleP" select="position()"/>
				<xsl:for-each select="com:xbrltable">
					<xsl:variable name="xbrltable" select="."/>
					<xsl:variable name="tablename" select="./@name"/>
					<xsl:variable name="rolename" select="./@role"/>
					<Worksheet>
						<xsl:attribute name="ss:Name">
							<xsl:call-template name="worksheetName">
								<xsl:with-param name="tablename" select="./@name"/>
								<xsl:with-param name="rolename" select="$rolename"/>
								<xsl:with-param name="roleP" select="$roleP"/>
							</xsl:call-template>
						</xsl:attribute>
						<Table ss:DefaultColumnWidth="60" ss:DefaultRowHeight="25" ss:ExpandedColumnCount="256" ss:ExpandedRowCount="1000" ss:StyleID="sTable" x:FullColumns="1" x:FullRows="1">
							<Column ss:StyleID="sColumn" ss:Width="120"/>
							<xsl:call-template name="y">
								<xsl:with-param name="xbrltable" select="$xbrltable"/>
							</xsl:call-template>
							<Row ss:AutoFitHeight="1">
								<Cell ss:StyleID="sTitleCell">
									<xsl:attribute name="ss:MergeAcross">
										<xsl:value-of select="$contextcount"/>
									</xsl:attribute>
									<Data ss:Type="String">
										<xsl:value-of select="$tablename"/>(<xsl:value-of select="$rolename"/>)</Data>
								</Cell>
							</Row>
							<Row ss:AutoFitHeight="1">
								<Cell ss:StyleID="sExpColumnTitleCell">
									<Data ss:Type="String"/>
								</Cell>
								<xsl:for-each select="/com:root/com:context">
									<Cell ss:StyleID="sColumnTitleCell">
										<Data ss:Type="String">
											<xsl:value-of select="@id"/>
										</Data>
									</Cell>
								</xsl:for-each>
							</Row>
							<xsl:for-each select="./com:row">
								<Row ss:AutoFitHeight="1">
									<xsl:variable name="row" select="."/>
								<!--	<xsl:choose>
										<xsl:when test="@indent=0">
												<Cell ss:StyleID="sExpDataCell">
												<xsl:attribute name="ss:MergeAcross">
													<xsl:value-of select="$contextcount"/>
												</xsl:attribute>
												<Data ss:Type="String">
													<xsl:value-of select="@name"/>
												</Data>
											</Cell>
										</xsl:when>
										<xsl:otherwise>-->
											<Cell ss:StyleID="sExpDataCell">
												<Data ss:Type="String">
												<xsl:if test="./@indent&gt;0">
												<xsl:text>&#x00A0;&#x00A0;&#x00A0;&#x00A0;</xsl:text>
												</xsl:if>
													<xsl:value-of select="@name"/>
												</Data>
											</Cell>
											<xsl:for-each select="/com:root/com:context[1]">
												<xsl:variable name="id" select="@id"/>
												<xsl:call-template name="cell">
													<xsl:with-param name="row" select="$row"/>
													<xsl:with-param name="id" select="$id"/>
												</xsl:call-template>
											</xsl:for-each>
								<!--		</xsl:otherwise>
									</xsl:choose>-->
								</Row>
							</xsl:for-each>
						</Table>
						<xsl:call-template name="sheetoptions"/>
					</Worksheet>
				</xsl:for-each>
			</xsl:for-each>
			<xsl:call-template name="context_unit"/>
		</Workbook>
	</xsl:template>
	<xsl:template name="worksheetName">
		<xsl:param name="tablename"/>
		<xsl:param name="roleP"/>
		<xsl:value-of select="$tablename"/>-role(<xsl:value-of select="$roleP"/>)
		</xsl:template>
	<xsl:template name="y">
		<xsl:param name="x" select="1"/>
		<xsl:param name="xbrltable"/>
		<xsl:variable name="y" select="$x+1"/>
		<Column xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" ss:StyleID="sColumn" ss:Width="90">
			<xsl:attribute name="ss:Index">
				<xsl:value-of select="$y"/>
			</xsl:attribute>
			<xsl:attribute name="ss:Hidden">
				<xsl:call-template name="hidden">
					<xsl:with-param name="xbrltable" select="$xbrltable"/>
					<xsl:with-param name="x" select="$x"/>
					<xsl:with-param name="tag" select="1"/>
				</xsl:call-template>
			</xsl:attribute>
		</Column>
		<xsl:if test="$x &lt;count(/com:root/com:context)">
			<xsl:call-template name="y">
				<xsl:with-param name="x" select="$x+1"/>
				<xsl:with-param name="xbrltable" select="$xbrltable"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="hidden">
		<xsl:param name="x"/>
		<xsl:param name="rowP" select="1"/>
		<xsl:param name="xbrltable"/>
		<xsl:param name="tag"/>
		<xsl:variable name="id" select="/com:root[1]/com:context[$x]/@id"/>
		<xsl:choose>
			<xsl:when test="$tag&gt;0 and $rowP&lt;=count($xbrltable/com:row)">
				<xsl:variable name="rowname" select="$xbrltable/com:row[$rowP]/@name"/>
				<xsl:choose>
					<xsl:when test="$xbrltable/com:row[@name=$rowname]/com:item[@contextID=$id and (@type='string' or @type='number')]">
						<xsl:variable name="t" select="0"/>
						<xsl:call-template name="hidden">
							<xsl:with-param name="rowP" select="$rowP+1"/>
							<xsl:with-param name="x" select="$x"/>
							<xsl:with-param name="tag" select="$t"/>
							<xsl:with-param name="xbrltable" select="$xbrltable"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="hidden">
							<xsl:with-param name="rowP" select="$rowP+1"/>
							<xsl:with-param name="tag" select="$tag"/>
							<xsl:with-param name="x" select="$x"/>
							<xsl:with-param name="xbrltable" select="$xbrltable"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$tag"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="cell">
		<xsl:param name="x" select="1"/>
		<xsl:param name="row"/>
		<xsl:param name="id"/>
		<xsl:variable name="y" select="$x+1"/>
		<Cell xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet">
			<xsl:attribute name="ss:Index">
				<xsl:value-of select="$y"/>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$row/com:item[@contextID=$id][@type='number']">
					<xsl:attribute name="ss:StyleID">sNumberDataCell</xsl:attribute>
					<Data xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" ss:Type="Number">
						<xsl:value-of select="$row/com:item[@contextID=$id][@type='number']"/>
					</Data>
				</xsl:when>
				<xsl:when test="$row/com:item[@contextID=$id][@type='string']">
					<xsl:attribute name="ss:StyleID">sStringDataCell</xsl:attribute>
					<Data xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" ss:Type="String">
						<xsl:value-of select="$row/com:item[@contextID=$id][@type='string']"/>
					</Data>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="ss:StyleID">sStringDataCell</xsl:attribute>
					<Data xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" ss:Type="String">-</Data>
				</xsl:otherwise>
			</xsl:choose>
		</Cell>
		<xsl:if test="$x &lt;count(/com:root/com:context)">
			<xsl:call-template name="cell">
				<xsl:with-param name="x" select="$x+1"/>
				<xsl:with-param name="row" select="$row"/>
				<xsl:with-param name="id" select="/com:root[1]/com:context[$x+1]/@id"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<xsl:template name="context_unit">
		<Worksheet xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" ss:Name="Contexts">
			<Table xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:x="urn:schemas-microsoft-com:office:excel" ss:DefaultColumnWidth="60" ss:DefaultRowHeight="25" ss:ExpandedColumnCount="256" ss:ExpandedRowCount="1000" ss:StyleID="sTable"
			       x:FullColumns="1" x:FullRows="1">
				<Column ss:Span="6" ss:StyleID="sColumn" ss:Width="120"/>
				<Row ss:AutoFitHeight="1">
					<Cell ss:MergeAcross="5" ss:StyleID="sTitleCell">
						<Data ss:Type="String">Contexts Table</Data>
					</Cell>
				</Row>
				<Row ss:AutoFitHeight="1">
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Context ID</Data>
					</Cell>
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Period</Data>
					</Cell>
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Identifier</Data>
					</Cell>
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Scheme</Data>
					</Cell>
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Segment</Data>
					</Cell>
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Scenario</Data>
					</Cell>
				</Row>
				<xsl:for-each select="/com:root/com:context">
					<Row ss:AutoFitHeight="1">
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@id"/>
							</Data>
						</Cell>
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@period"/>
							</Data>
						</Cell>
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@identifier"/>
							</Data>
						</Cell>
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@scheme"/>
							</Data>
						</Cell>
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@segment"/>
							</Data>
						</Cell>
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@scenario"/>
							</Data>
						</Cell>
					</Row>
				</xsl:for-each>
			</Table>
			<xsl:call-template name="sheetoptions"/>
		</Worksheet>
		<Worksheet xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet" ss:Name="Units">
			<Table xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:x="urn:schemas-microsoft-com:office:excel" ss:DefaultColumnWidth="60" ss:DefaultRowHeight="25" ss:ExpandedColumnCount="256" ss:ExpandedRowCount="1000" ss:StyleID="sTable"
			       x:FullColumns="1" x:FullRows="1">
				<Column ss:Span="2" ss:StyleID="sColumn" ss:Width="250"/>
				<Row ss:AutoFitHeight="1">
					<Cell ss:MergeAcross="1" ss:StyleID="sTitleCell">
						<Data ss:Type="String">Units Table</Data>
					</Cell>
				</Row>
				<Row ss:AutoFitHeight="1">
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Unit ID</Data>
					</Cell>
					<Cell ss:StyleID="sColumnTitleCell">
						<Data ss:Type="String">Content</Data>
					</Cell>
				</Row>
				<xsl:for-each select="/com:root/com:unit">
					<Row ss:AutoFitHeight="1">
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@id"/>
							</Data>
						</Cell>
						<Cell ss:StyleID="sExpDataCell">
							<Data ss:Type="String">
								<xsl:value-of select="@content"/>
							</Data>
						</Cell>
					</Row>
				</xsl:for-each>
			</Table>
			<xsl:call-template name="sheetoptions"/>
		</Worksheet>
	</xsl:template>
	<xsl:template name="sheetoptions">
		<WorksheetOptions xmlns="urn:schemas-microsoft-com:office:excel">
			<Unsynced/>
			<Selected/>
			<FreezePanes/>
			<FrozenNoSplit/>
			<SplitHorizontal>2</SplitHorizontal>
			<TopRowBottomPane>2</TopRowBottomPane>
			<ActivePane>2</ActivePane>
		</WorksheetOptions>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2004. Sonic Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="commontable.xml" htmlbaseurl="" outputurl="test.xls" processortype="xalan" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition></MapperMetaTag>
</metaInformation>
-->